import java.io.*;

class steamTable2
{
public static void main(String args[]) throws IOException
{
   boolean cont=true;
   char q='a';
   steam1 s=new steam1();
   Text cin=new Text();
   double v1,v2,v3;
   String unit,ss;
   System.out.print("Unit system : SI or EN ");
   unit=cin.readString();
   s.setUnit(unit);
   System.out.println("unit system : "+s.unit);
   System.out.println(" ");
   while(cont)
   {
   System.out.println(s.toString());
   System.out.println(" known properties : \n"+
   "tv tp th tu ts tx  \n"+
   "pv pt ph pu ps px \n"+
   "vp vt ");
   ss=cin.readString();
   System.out.print("v1 = ");
   v1=cin.readDouble();
   System.out.print("v2 = ");
   v2=cin.readDouble();
   System.out.println(s.toString(ss,v1,v2));
   double pp[]=s.property(ss,v1,v2);
   //System.out.println("ph\n"+s.toString("ph",pp[0],pp[3]));
   System.out.println("c to continue");
   char c1=cin.readChar();
   if(c1!='c') break;
   }
   }
}